Subject: Re: push error Re: git-subtree completions
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Date: Thu, 28 Jul 2016 18:28:45 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Daniel Shahaf wrote on Wed, Jul 13, 2016 at 04:59:10 +0000:
> % git push 
> ⋮
> error: insufficient permission for adding an object to repository database ./objects
> 
> fatal: failed to write object
> error: unpack failed: unpack-objects abnormal exit
> To ssh://git.code.sf.net/p/zsh/code
>  ! [remote rejected] master -> master (n/a (unpacker error))
> error: failed to push some refs to 'ssh://git.code.sf.net/p/zsh/code'
> zsh: exit 1

I'm getting this again trying to push two other patches.  It occurs even
if I push --no-thin and/or from a fresh 'git clone --reference=..' clone.

Ideas?

> The patch I tried to push is on the 'master' branch of my github clone, at:
> [...]
> 
> No idea what the problem is; I changed nothing on my end...